#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

def Make_EXE():
    from distutils.core import setup

    import sys, os, shutil
    import py2exe, glob

    if ( len(sys.argv) < 2 ):
        sys.argv.append("py2exe")
        sys.argv.append("-b")
        sys.argv.append("2")    

    # windows or console
    setup(console=[{"script": "winstart.py",
            "icon_resources": [(1, "icon.ico")],
            }], options={"py2exe":{"compressed": 9, 
                    "optimize": 2}},
            zipfile="pycode",
            data_files=[])

    os.chdir("dist")
    shutil.move("winstart.exe", "christmaslogic.exe")
    os.chdir("..")
    shutil.move("dist", "christmaslogic")

if ( __name__ == "__main__" ):
    Make_EXE()

